# BuildProvisioning

All BuildProvisioning endpoints

## GET /v3/buildProvisioning/storage/registration

> Get the list of all build provisioning storage registrations for a customer

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"BuildProvisioning","description":"All BuildProvisioning endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"BuildProvisioningRegistration":{"type":"object","required":["id","username","port","name","originDomainName","cdnDomainName","headers","contractStart","contractEnd","type","createdAt","changedAt"],"properties":{"id":{"type":"string","format":"","description":"ID of the build provisioning registration","readOnly":true},"username":{"type":"string","format":"","description":"Username the login name for the build provisioning registration (can be i3D.net docker or i3D.net storage)","readOnly":true},"port":{"type":"integer","format":"integer","description":"Port for the login to the build provisioning registration","readOnly":true},"name":{"type":"string","format":"","description":"Unique name of the build provisioning registration","readOnly":true},"originDomainName":{"type":"string","format":"","description":"Origin domain name of the build provisioning registration","readOnly":true},"cdnDomainName":{"type":"string","format":"","description":"CDN domain name of the build provisioning registration, where the application instance will be downloaded by the hostagent","readOnly":true},"headers":{"type":"array","items":{"$ref":"#/components/schemas/BuildProvisioningHeaders"},"description":"Array of headers used to download the file from the storage or get access to the docker repository","readOnly":true},"contractStart":{"type":"integer","format":"integer","description":"Start UNIX timestamp when the registration starts for the customer","readOnly":true},"contractEnd":{"type":"integer","format":"integer","description":"End UNIX timestamp when the registration ends for the customer","readOnly":true},"type":{"type":"integer","format":"integer","description":"The type of build provisioning registration storage that is being used [GET /v3/buildProvisioning/storage/registration/types](game-publisher#/BuildProvisioningRegistration/get_v3_buildProvisioning_storage_registration_types)","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UNIX timestamp when the build provisioning registration is created","readOnly":true},"changedAt":{"type":"integer","format":"integer","description":"UNIX timestamp when the build provisioning registration is changed","readOnly":true}},"additionalProperties":false},"BuildProvisioningHeaders":{"type":"object","required":["name","value"],"properties":{"name":{"type":"string","format":"","description":"The name of the header property"},"value":{"type":"string","format":"","description":"The value for the header"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/buildProvisioning/storage/registration":{"get":{"tags":["BuildProvisioning"],"summary":"Get the list of all build provisioning storage registrations for a customer","operationId":"getBuildProvisioningStorageRegistrations","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BuildProvisioningRegistration"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/buildProvisioning/storage/registration/{id}

> Get the details of a build provisioning storage registration

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"BuildProvisioning","description":"All BuildProvisioning endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"BuildProvisioningRegistration":{"type":"object","required":["id","username","port","name","originDomainName","cdnDomainName","headers","contractStart","contractEnd","type","createdAt","changedAt"],"properties":{"id":{"type":"string","format":"","description":"ID of the build provisioning registration","readOnly":true},"username":{"type":"string","format":"","description":"Username the login name for the build provisioning registration (can be i3D.net docker or i3D.net storage)","readOnly":true},"port":{"type":"integer","format":"integer","description":"Port for the login to the build provisioning registration","readOnly":true},"name":{"type":"string","format":"","description":"Unique name of the build provisioning registration","readOnly":true},"originDomainName":{"type":"string","format":"","description":"Origin domain name of the build provisioning registration","readOnly":true},"cdnDomainName":{"type":"string","format":"","description":"CDN domain name of the build provisioning registration, where the application instance will be downloaded by the hostagent","readOnly":true},"headers":{"type":"array","items":{"$ref":"#/components/schemas/BuildProvisioningHeaders"},"description":"Array of headers used to download the file from the storage or get access to the docker repository","readOnly":true},"contractStart":{"type":"integer","format":"integer","description":"Start UNIX timestamp when the registration starts for the customer","readOnly":true},"contractEnd":{"type":"integer","format":"integer","description":"End UNIX timestamp when the registration ends for the customer","readOnly":true},"type":{"type":"integer","format":"integer","description":"The type of build provisioning registration storage that is being used [GET /v3/buildProvisioning/storage/registration/types](game-publisher#/BuildProvisioningRegistration/get_v3_buildProvisioning_storage_registration_types)","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UNIX timestamp when the build provisioning registration is created","readOnly":true},"changedAt":{"type":"integer","format":"integer","description":"UNIX timestamp when the build provisioning registration is changed","readOnly":true}},"additionalProperties":false},"BuildProvisioningHeaders":{"type":"object","required":["name","value"],"properties":{"name":{"type":"string","format":"","description":"The name of the header property"},"value":{"type":"string","format":"","description":"The value for the header"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/buildProvisioning/storage/registration/{id}":{"get":{"tags":["BuildProvisioning"],"summary":"Get the details of a build provisioning storage registration","operationId":"getBuildProvisioningStorageRegistration","parameters":[{"name":"id","in":"path","description":"The ID of the build provisioning storage registration for which to fetch the information","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BuildProvisioningRegistration"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid id"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/buildProvisioning/storage/registration/types

> Get The build provisioning storage registration types for storing application build files

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"BuildProvisioning","description":"All BuildProvisioning endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"BuildProvisioningRegistrationType":{"type":"object","required":["id","description"],"properties":{"id":{"type":"integer","format":"integer","description":"ID of the build provisioning registration type","readOnly":true},"description":{"type":"string","format":"","description":"Description of the build provisioning registration type","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/buildProvisioning/storage/registration/types":{"get":{"tags":["BuildProvisioning"],"summary":"Get The build provisioning storage registration types for storing application build files","operationId":"getBuildProvisioningStorageRegistrationTypes","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BuildProvisioningRegistrationType"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/buildProvisioning/storage/file

> Get the list of all the files storage

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"BuildProvisioning","description":"All BuildProvisioning endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"BuildProvisioningFile":{"type":"object","required":["id","buildProvisionRegistrationId","fileName","fileSize","md5CheckSum","createdAt","changedAt"],"properties":{"id":{"type":"string","format":"","description":"Build provisioning file ID","readOnly":true},"buildProvisionRegistrationId":{"type":"string","format":"","description":"ID of the build provisioning storage registration","readOnly":true},"fileName":{"type":"string","format":"","description":"Name of the file","readOnly":true},"fileSize":{"type":"integer","format":"integer","description":"Size of the file","readOnly":true},"md5CheckSum":{"type":"string","format":"","description":"MD5 checksum of the file","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UNIX timestamp when the file has been created","readOnly":true},"changedAt":{"type":"integer","format":"integer","description":"UNIX timestamp when the file last has been changed","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/buildProvisioning/storage/file":{"get":{"tags":["BuildProvisioning"],"summary":"Get the list of all the files storage","operationId":"getBuildProvisioningStorageFiles","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BuildProvisioningFile"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/buildProvisioning/storage/file/{id}

> Get the details of the file in the storage

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"BuildProvisioning","description":"All BuildProvisioning endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"BuildProvisioningFile":{"type":"object","required":["id","buildProvisionRegistrationId","fileName","fileSize","md5CheckSum","createdAt","changedAt"],"properties":{"id":{"type":"string","format":"","description":"Build provisioning file ID","readOnly":true},"buildProvisionRegistrationId":{"type":"string","format":"","description":"ID of the build provisioning storage registration","readOnly":true},"fileName":{"type":"string","format":"","description":"Name of the file","readOnly":true},"fileSize":{"type":"integer","format":"integer","description":"Size of the file","readOnly":true},"md5CheckSum":{"type":"string","format":"","description":"MD5 checksum of the file","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UNIX timestamp when the file has been created","readOnly":true},"changedAt":{"type":"integer","format":"integer","description":"UNIX timestamp when the file last has been changed","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/buildProvisioning/storage/file/{id}":{"get":{"tags":["BuildProvisioning"],"summary":"Get the details of the file in the storage","operationId":"getBuildProvisioningStorageFile","parameters":[{"name":"id","in":"path","description":"The ID of the build provisioning file for which to fetch the information","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BuildProvisioningFile"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid id"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/buildProvisioning/storage/registration/{buildProvisioningRegistrationId}/file

> Get the list of all the files in a build provisioning registration

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"BuildProvisioning","description":"All BuildProvisioning endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"BuildProvisioningFile":{"type":"object","required":["id","buildProvisionRegistrationId","fileName","fileSize","md5CheckSum","createdAt","changedAt"],"properties":{"id":{"type":"string","format":"","description":"Build provisioning file ID","readOnly":true},"buildProvisionRegistrationId":{"type":"string","format":"","description":"ID of the build provisioning storage registration","readOnly":true},"fileName":{"type":"string","format":"","description":"Name of the file","readOnly":true},"fileSize":{"type":"integer","format":"integer","description":"Size of the file","readOnly":true},"md5CheckSum":{"type":"string","format":"","description":"MD5 checksum of the file","readOnly":true},"createdAt":{"type":"integer","format":"integer","description":"UNIX timestamp when the file has been created","readOnly":true},"changedAt":{"type":"integer","format":"integer","description":"UNIX timestamp when the file last has been changed","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/buildProvisioning/storage/registration/{buildProvisioningRegistrationId}/file":{"get":{"tags":["BuildProvisioning"],"summary":"Get the list of all the files in a build provisioning registration","operationId":"getBuildProvisioningStorageFilesByRegistrationId","parameters":[{"name":"buildProvisionRegistrationId","in":"path","description":"The ID of the build provisioning registration where you want the files of","required":true,"schema":{"type":"string"}},{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BuildProvisioningFile"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/game/buildprovisioning.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
